apiVersion: batch/v1
kind: Job
metadata:
  name: todoninja-db-migrate
  annotations:
    "helm.sh/hook": pre-install,pre-upgrade
    "helm.sh/hook-delete-policy": hook-succeeded
spec:
  activeDeadlineSeconds: 60
  template:
    spec: 
      restartPolicy: Never
      containers:
      - name: todoninja-db-migrate
        image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
        command:
        - node
        - ace
        - migration:run